
Redmine - Defect #4235

Issues not working

2009-11-17 19:56 - Lex Rivera

Status: Closed Start date: 2009-11-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Throws error 500 when trying to open. It happens only with one project...

log:

Processing IssuesController#index (for 79.139.136.243 at 2009-11-17 10:59:11) [GET]

  Parameters: {"project_id"=>"rbforest", "action"=>"index", "controller"=>"issues"}

Rendering template within layouts/base                                             

Rendering issues/index.rhtml                                                       

ActionView::TemplateError (SystemStackError: stack level too deep: SELECT * FROM "enumerations" WH

ERE ("enumerations"."project_id" IS NULL) AND ( ("enumerations"."type" = 'IssuePriority' ) )  ORDE

R BY position) on line #63 of app/views/queries/_filters.rhtml:                                   

                                          

60: <tr>                                                                                          

                                                                      

61: <td>                                                                                          

                                                                      

62: <table>                                                                                       

                                                                      

63: <% query.available_filters.sort{|a,b| a[1][:order]<=>b[1][:order]}.each do |filter| %>        

                                                                      

64:     <% field = filter[0]                                                                      

                                                                      

65:        options = filter[1] %>                                                                 

                                                                      

66:     <tr <%= 'style="display:none;"' unless query.has_filter?(field) %> id="tr_<%= field %>" cl

ass="filter">                                                         

    app/models/query.rb:164:in `available_filters'

    app/views/queries/_filters.rhtml:63:in `_run_rhtml_app47views47queries47_filters46rhtml_locals

_filters_object_query'

    app/views/issues/index.rhtml:17:in `_run_rhtml_app47views47issues47index46rhtml'

    app/views/issues/index.rhtml:11:in `_run_rhtml_app47views47issues47index46rhtml'

    app/controllers/issues_controller.rb:82:in `index'

    app/controllers/issues_controller.rb:71:in `index'

    /dh/passenger/lib/phusion_passenger/rack/request_handler.rb:95:in `process_request'

    /dh/passenger/lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

    /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:378:in `start_request_handler

'

    /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:336:in `handle_spawn_applicat

ion'

    /dh/passenger/lib/phusion_passenger/utils.rb:183:in `safe_fork'

    /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:334:in `handle_spawn_applicat

ion'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `__send__'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:163:in `start'

    /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

    /dh/passenger/lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

    /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'
    /dh/passenger/lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

    /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /dh/passenger/lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

    /dh/passenger/lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

    /dh/passenger/lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `__send__'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /home/xdevweb/code.x-demon.org/public/500.html (500 Internal Server Error)

History

#1 - 2009-11-20 23:34 - Thomas Pihl

It's really hard to say without more information.

Are you sure youäre up to date with rails (2.3.4) and all other gems required for devel edition? My first thought would be a mixup in versions.

If you're sure, please provide more information. Run the query manually and validate the result (to make sure database are in a good state).

Make sure not all enums are disabled in that project.

Not really sure what else to suggest.

/T

#2 - 2009-11-20 23:57 - Lex Rivera

I checked all and found that all gems up-to-date (using gem update i updated them anyway)

With sqlite3 checked DB. All sql requests which caused error 500 in redmine working perfectly in sqlite3. Also, "stack too deep" also happens when i

try to open repo view, issues or projects settings.

#3 - 2009-11-21 13:40 - Jean-Philippe Lang

I'm not able to reproduce. Is there anything specific to mention about the project on which this error occurs?

Can you have a try with latest trunk (r3083)?

#4 - 2009-11-21 14:18 - Lex Rivera

happens even with latest rev. will try to reinstall it with old DB.

#5 - 2009-11-21 14:27 - Lex Rivera

now happens with settings too... for example, create project

Processing ProjectsController#add (for 79.139.136.243 at 2009-11-21 05:32:48) [POST]

Parameters: {"enabled_modules"=>["issue_tracking", "time_tracking", "news", "documents", "files", "wiki", "repository", "boards"], "commit"=>"Save",

"action"=>"add", "authenticity_token"=>"et1xRT/bDMdO6v0HQULBrj+SX0H61giZY6ohrCAfXTc=", "project"=>{"name"=>"dfgdf", "homepage"=>"",

"is_public"=>"1", "description"=>"dg", "identifier"=>"sdfd"}, "controller"=>"projects"}

ActiveRecord::StatementInvalid (SystemStackError: stack level too deep: SELECT * FROM "projects" WHERE ("projects"."id" = 1) ):

app/models/project.rb:209:in `find'

app/models/enabled_module.rb:33:in `module_enabled'

app/controllers/projects_controller.rb:77:in `add'

/dh/passenger/lib/phusion_passenger/rack/request_handler.rb:95:in `process_request'

/dh/passenger/lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

/dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:378:in `start_request_handler'

/dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:336:in `handle_spawn_application'

/dh/passenger/lib/phusion_passenger/utils.rb:183:in `safe_fork'

/dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:334:in `handle_spawn_application'

/dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `__send__'

/dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

/dh/passenger/lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/dh/passenger/lib/phusion_passenger/abstract_server.rb:163:in `start'

/dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

/dh/passenger/lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

/dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

/dh/passenger/lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

/dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

/dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/dh/passenger/lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

/dh/passenger/lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'
/dh/passenger/lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

/dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `__send__'

/dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

/dh/passenger/lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /home/xdevweb/code.x-demon.org/public/500.html (500 Internal Server Error)

#6 - 2009-11-21 15:33 - Jean-Philippe Lang

Can you provide the information requested in SubmittingBugs please?

#7 - 2009-11-22 13:05 - Lex Rivera

[ps12894]$ RAILS_ENV="production" ruby script/about

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.4

Active Record version     2.3.4

Active Resource version   2.3.4

Action Mailer version     2.3.4

Active Support version    2.3.4

Application root          /home/xdevweb/code.x-demon.org

Environment               production

Database adapter          sqlite3

Database schema version   20091114105931

#8 - 2009-11-22 13:16 - Lex Rivera

Well, i can also provide database.

#9 - 2009-11-26 21:14 - Jean-Philippe Lang

Is it big?

#10 - 2009-11-26 21:18 - Lex Rivera

Nope, less than 10 mbytes sqlite, email can handle it.

#11 - 2009-11-27 00:07 - Jean-Philippe Lang

My email address can be found here: http://www.redmine.org/users/1

#12 - 2009-12-03 16:24 - Lex Rivera

DB sent, sorry for such delay.

#13 - 2009-12-14 23:11 - Lex Rivera

Any updates? I still cannot use my redmine installation.

#14 - 2009-12-18 15:44 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

I've just tested the database you sent me.

Everything is fine with latest trunk (had to run db:migrate), ruby 1.8.7 and sqlite3-ruby (1.2.3) gem.
